import distinct from './distinct';
var TriggerElementMonitor = /** @class */ (function () {
    function TriggerElementMonitor(widget) {
        this.container = widget.container;
        this.events = widget.events;
    }
    TriggerElementMonitor.prototype.watch = function (elements) {
        var existingElements = this.container.get('triggerElements') || [];
        var triggerElements = distinct(existingElements.concat(elements));
        this.container.register('triggerElements', triggerElements);
        this.events.dispatch('bootstrap:trigger-elements-updated', { triggerElements: triggerElements }, { bubbles: true });
    };
    return TriggerElementMonitor;
}());
export default TriggerElementMonitor;
//# sourceMappingURL=trigger-element-monitor.js.map